## arduino-cli config

Arduino configuration commands.

### Examples

```
  debian/build/bin/docsgen config init
```

### Options

```
  -h, --help   help for config
```

### Options inherited from parent commands

```
      --additional-urls strings   Comma-separated list of additional URLs for the Boards Manager.
      --config-dir string         Sets the default data directory (Arduino CLI will look for configuration file in this directory).
      --config-file string        The custom config file (if not specified the default will be used).
      --json                      Print the output in JSON format.
      --log                       Print the logs on the standard output.
      --log-file string           Path to the file where logs will be written.
      --log-format string         The output format for the logs, can be: text, json (default "text")
      --log-level string          Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic (default "info")
      --no-color                  Disable colored output.
```

### SEE ALSO

* [arduino-cli](arduino-cli.md)	 - Arduino CLI.
* [arduino-cli config add](arduino-cli_config_add.md)	 - Adds one or more values to a setting.
* [arduino-cli config delete](arduino-cli_config_delete.md)	 - Deletes a settings key and all its sub keys.
* [arduino-cli config dump](arduino-cli_config_dump.md)	 - Prints the current configuration
* [arduino-cli config get](arduino-cli_config_get.md)	 - Gets a settings key value.
* [arduino-cli config init](arduino-cli_config_init.md)	 - Writes current configuration to a configuration file.
* [arduino-cli config remove](arduino-cli_config_remove.md)	 - Removes one or more values from a setting.
* [arduino-cli config set](arduino-cli_config_set.md)	 - Sets a setting value.

